Skip to main content
`Ctrl`+`K`

# MatZeroRowsIS

Zeros all entries (except possibly the main diagonal) of a set of rows of a matrix indicated by an `IS`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatZeroRowsIS(Mat mat, IS is, PetscScalar diag, Vec x, Vec b)

Collective

## Input Parameters

- mat - the matrix

- is - index set, `IS`, of rows to remove (if `NULL` then no row is removed)

- diag - value put in all diagonals of eliminated rows

- x - optional vector of solutions for zeroed rows (other entries in vector are not used)

- b - optional vector of right-hand side, that will be adjusted by provided solution

## Note

See `MatZeroRows()` for details on how this routine operates.

## See Also

Matrices, `Mat`, `MatZeroRows()`, `MatZeroRowsColumns()`, `MatZeroRowsLocalIS()`, `MatZeroRowsStencil()`, `MatZeroEntries()`, `MatZeroRowsLocal()`, `MatSetOption()`, `MatZeroRowsColumnsLocal()`, `MatZeroRowsColumnsLocalIS()`, `MatZeroRowsColumnsIS()`, `MatZeroRowsColumnsStencil()`, `IS`

## Level

intermediate

## Location

src/mat/interface/matrix.c

## Examples

src/ksp/ksp/tutorials/ex43.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages